summaryrefslogtreecommitdiff
path: root/t/t9116-git-svn-log.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t9116-git-svn-log.sh')
-rwxr-xr-xt/t9116-git-svn-log.sh24
1 files changed, 13 insertions, 11 deletions
diff --git a/t/t9116-git-svn-log.sh b/t/t9116-git-svn-log.sh
index 4b2cc878f6..5d477e4bda 100755
--- a/t/t9116-git-svn-log.sh
+++ b/t/t9116-git-svn-log.sh
@@ -3,21 +3,23 @@
# Copyright (c) 2007 Eric Wong
#
-test_description='git-svn log tests'
+test_description='git svn log tests'
. ./lib-git-svn.sh
test_expect_success 'setup repository and import' '
mkdir import &&
- cd import &&
- for i in trunk branches/a branches/b \
- tags/0.1 tags/0.2 tags/0.3; do
- mkdir -p $i && \
- echo hello >> $i/README || exit 1
- done && \
- svn import -m test . "$svnrepo"
- cd .. &&
- git-svn init "$svnrepo" -T trunk -b branches -t tags &&
- git-svn fetch &&
+ (
+ cd import &&
+ for i in trunk branches/a branches/b tags/0.1 tags/0.2 tags/0.3
+ do
+ mkdir -p $i &&
+ echo hello >>$i/README ||
+ exit 1
+ done &&
+ svn_cmd import -m test . "$svnrepo"
+ ) &&
+ git svn init "$svnrepo" -T trunk -b branches -t tags &&
+ git svn fetch &&
git reset --hard trunk &&
echo bye >> README &&
git commit -a -m bye &&